%{?python_enable_dependency_generator}

%global modname ssh2-python

Name:           python-%{modname}
Version:        0.15.0
Release:        2%{?dist}
Summary:        Super fast SSH library - bindings for libssh2

License:        LGPLv2+
URL:            https://github.com/ParallelSSH/ssh2-python
Source0:        %{url}/archive/%{version}/%{modname}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  libssh2-devel

%description
%{summary}.

%package -n python2-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{modname}}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-Cython

%description -n python2-%{modname}
%{summary}.

Python 2 version.

%package -n python3-%{modname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modname}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-Cython

%description -n python3-%{modname}
%{summary}.

Python 3 version.

%prep
%autosetup -n %{modname}-%{version}
# No bundled libs
rm -vrf libssh2

%build
export HAVE_AGENT_FWD=0
%py2_build
%py3_build

%install
%py2_install
%py3_install

#check
# Requires real SSH server

%files -n python2-%{modname}
%license COPYING LICENSE
%doc README.rst Changelog.rst
%{python2_sitearch}/ssh2_python-*.egg-info/
%{python2_sitearch}/ssh2/

%files -n python3-%{modname}
%license COPYING LICENSE
%doc README.rst Changelog.rst
%{python3_sitearch}/ssh2_python-*.egg-info/
%{python3_sitearch}/ssh2/

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.15.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jul 07 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.15.0-1
- Initial package

